package com.supplier.mapper;

import com.supplier.model.BuyOfferNum;
import com.supplier.model.Supplier;
import com.supplier.model.SupplierRelease;
import com.supplier.model.User;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import java.util.List;
import java.util.Map;

@Mapper
public interface PersonalMapper {
    Supplier getPresonalMessage(String code);

    void updatePhone(Supplier supplier);

    int checkCaptcha(Supplier supplier);

    List<User> seleceWxUserCount(User user);

    void addWXUser(User user);

    int geThisUserID(String wxid);

    void updateUserWx(User user);

    void updateOffNum(SupplierRelease supplierRelease);

    Map<String, Object> getByNumber();

    void minusBalanceOf(@Param("offerVal") String offerVal, @Param("code")String code);

    void addOfferNum(@Param("offerNum") String offerNum, @Param("code") String code);

    void addBuyOfferNum(BuyOfferNum buyOfferNum);

    List<Map<String, Object>> balanceOfPayments(String code);

    Map<String, Object> topUpNum(String code);

    List<Supplier> getEmployees(Supplier supplier);

    int getEmployeesCount(Supplier supplier);

    void editorEmployees(Supplier supplier);

    void delChild(Supplier supplier);

    Supplier checkUser(Supplier supplier);

    int checkCaptchaPhone(Supplier supplier);

    void addOfferNumChild(@Param("offerNum") String offerNum, @Param("code") String code);

    void editorModify(Supplier supplier);
}
